# notificationChannelSetting

Represents notification channel settings for email and slack.

### Examples

```graphql
type NotificationChannelSetting {
  email: ChannelSetting
  slack: ChannelSetting
}
```

### Fields

| Field                                                                                                                       | Description            | Supported fields                                                                                                                                                                                                                                                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------------- | ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| email [`ChannelSetting`](https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/channel-setting) | Email channel settings | <p>enabled <code>Boolean!</code><br>recipients <a href="recipient-object"><code>RecipientObject</code></a><br>defaultEmailRoleNames <code>\[String!]</code><br>channels <code>\[String!]</code><br>channelList <a href="channel"><code>\[Channel!]</code></a><br>unsubscribed <a href="recipient-member"><code>\[RecipientMember!]</code></a></p> |
| slack [`ChannelSetting`](https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/channel-setting) | Slack channel settings | <p>enabled <code>Boolean!</code><br>recipients <a href="recipient-object"><code>RecipientObject</code></a><br>defaultEmailRoleNames <code>\[String!]</code><br>channels <code>\[String!]</code><br>channelList <a href="channel"><code>\[Channel!]</code></a><br>unsubscribed <a href="recipient-member"><code>\[RecipientMember!]</code></a></p> |

### References

#### Fields with this object:

* [{} NotificationSettingItem.channels](https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/notification-setting-item)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/notification-channel-setting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
